Bug 209557 - LTC27920-LSPP groupadd/del/mod unexpected behavior
LTC27920-LSPP groupadd/del/mod unexpected behavior
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 19:27 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 27920 None None None Never

  None (edit)
Description Issue Tracker 2006-10-05 19:27:15 EDT
Escalated to Bugzilla from IssueTracker
Comment 4 Steve Grubb 2006-10-06 14:23:23 EDT
We want to get this pulled into beta2 release. Setting devel ACK flag.
Comment 5 Irina Boverman 2006-10-25 11:27:57 EDT
Added PM ack. Need QE flag.
Comment 6 Peter Vrabec 2006-10-25 11:59:50 EDT
the simple fix in spec file is needed:
%attr(0750,root,root)   %{_sbindir}/user*
%attr(0750,root,root)   %{_sbindir}/group*
Comment 10 Steve Grubb 2006-12-14 17:52:15 EST
[sgrubb ~]$ strace /usr/sbin/groupdel
execve("/usr/sbin/groupdel", ["/usr/sbin/groupdel"], [/* 46 vars */]) = -1
EACCES (Permission denied)

So, I'd say that the correct value is going into bash, but I do not think bash's
return code has to be the errno returned. I was thinking that all you can count
on is 0 for success and non-zero for failure.
Comment 11 RHEL Product and Program Management 2006-12-22 20:06:53 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.